> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-d355519d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 조직의 클라우드 제공업체 내 리전에 대한 Private Endpoint 구성 조회

> 지원 중단되었습니다. 업데이트된 절차는 [문서](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list)를 참조하십시오.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/privateEndpointConfig
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/privateEndpointConfig:
    get:
      tags:
        - Organization
      summary: 조직의 클라우드 제공업체 내 리전에 대한 Private Endpoint 구성 조회
      description: >-
        지원 중단되었습니다. 업데이트된 절차는
        [문서](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list)를
        참조하십시오.
      parameters:
        - description: 요청된 organization의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 클라우드 제공업체 식별자입니다. aws, gcp 또는 azure 중 하나입니다.
          in: query
          name: cloud_provider
          required: true
          schema:
            type: string
        - description: 특정 클라우드 제공업체 내의 Region 식별자입니다.
          in: query
          name: region_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 모든 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: >-
                      #/components/schemas/OrganizationCloudRegionPrivateEndpointConfig
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공적인 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명.
                    type: string
                  status:
                    description: HTTP 상태 코드.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
      deprecated: true
components:
  schemas:
    OrganizationCloudRegionPrivateEndpointConfig:
      properties:
        endpointServiceId:
          description: >-
            AWS(Service Name) 또는 GCP(Target Service) 리소스를 사용해 VPC에 생성한 interface
            endpoint의 고유 식별자
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````